@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400&display=swap');
hr {
 border:0;
 border-bottom:1px double #51585c;
} 

a:link {
  color: ##51585c;
    text-decoration:none;
}
a:visited {
  color: #51585c;

}

a:hover {
  color: #51585c;
  border-bottom: 1px solid #fff;
}

a:active {
  color: #51585c;
}
a{text-decoration:none;}
a:focus, *:focus { outline:none; }

.pagetop {
    height: 30px;
    width: 30px;
    position: fixed;
    right: 10px;
    bottom: 10px;
    background: rgba(255,105,212,0);
text-decoration:none;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;
}

.pagetop__arrow {
    height: 5px;
    width: 5px;
    border-top: 1px solid #fff;
    border-right: 1px solid #fff;
    transform: translateY(20%) rotate(-45deg);
}

@media screen and ( max-width: 749px ){
  /*モバイル端末*/
    body{
    background:#e1e4e6;
  }
  .line__container {
  padding:0;
  background: #e1e4e6;
  overflow: hidden;
  max-width: 100%;
  margin: 20px auto;
  font-size: 80%;
  font-family: "Noto Serif JP",sans-serif;
}

}
@media screen and ( min-width: 750px ){
/*PC*/
  body{
    background:#e1e4e6;
  }
.line__container {
  padding:0;
  background: #e1e4e6;
  overflow: hidden;
  max-width: 550px;
  margin: 20px auto;
  font-size: 80%;
  font-family: "Noto Serif JP",sans-serif;
}

}



/* タイトル部分 */
.line__container .line__title {
  background: #273246;
  padding: 10px;
  text-align: left;
  font-size: 150%;
  font-family: "Noto Serif JP",sans-serif;
  color: #ffffff;
}

/* 会話部分 */
.line__container .line__contents {
  padding: 10px;
  overflow: hidden;
  line-height: 135%;
}

.line__container .scroll {
  height: 500px;
  overflow-y: scroll;
}

/* スタンプ画像最大幅 */
.line__container .stamp img {
  max-width:150px;
}

/* 相手の会話 */
.line__container .line__left {
  position: relative;
  display: block;
  margin: 5px 0;
  max-width: 75%;
  float: left;
  margin-right: 15px;
  clear: both;
}

/* アイコン画像 */
.line__container .line__left figure {
  width: 50px;
  position: absolute;
  top: 15px;
  left: 0;
  padding: 0;
  margin: 0;

}

/* 正方形を用意 */
.line__container .line__left figure img{
  border-radius: 50%;
  width: 50px;
  height: 50px;
}

.line__container .line__left .line__left-text {
  margin-left: 70px;
}

.line__container .line__left .line__left-text .name {
  font-size: 80%;
  color: #51585c;
}

/* コメントエリア */
.line__container .line__left .text {
  margin: 0;
  position: relative;
  padding: 10px;
  border-radius: 20px;
  background-color: #ffffff;
}

/* 吹き出し */
.line__container .line__left .text::after {
  content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  left: -10px;
  top: 10px;
  border-right: 20px solid #ffffff;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
}

/* 自分の会話 */
.line__container .line__right {
  position: relative;
  display: block;
  margin: 5px 0;
  max-width: 75%;
  float: right;
  margin-right: 15px;
  clear: both;
}

/* コメントエリア */
.line__container .line__right .text {
  padding: 10px;
  border-radius: 20px;
  background-color: #8de055;
  margin: 0;
  margin-left: 80px;
}

/* 吹き出し */
.line__container .line__right .text::after {
  content: '';
  position: absolute;
  display: block;
  width: 0;
  height: 0;
  right: -10px;
  top: 10px;
  border-left: 20px solid #8de055;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
}

/* 自分がスタンプを送る時 */
.line__container .line__right .stamp {
  position: relative;
  margin-left: 80px;
}

/* 既読エリア */
.line__container .line__right .date {
  content: '';
  position: absolute;
  display: block;
  width: 100px;
  text-align: right;
  left: -30px;
  bottom: 0px;
  font-size: 80%;
  color: #51585c;
}

/* インフォメーション */
.line__information {
  text-align: center;
  font-size: 80%;
  color: #ffffff;
  margin: 0 auto;
  padding: 5px;
  border-radius: 15px;
  width: 100%;
  position: relative;
  display: block;
  margin-top: 5px;
  margin-bottom: 5px;
  max-width: 80%;
  clear: both;
  background-color: rgba(0, 0, 0, 0.20);

}

.line__margin {
  text-align: center;
  margin: 0 auto;
  padding: 5px;
  width: 100%;
  position: relative;
  display: block;
  margin-top: 5px;
  margin-bottom: 5px;
  height: 10px;
  max-width: 80%;
  clear: both;
  background-color: rgba(0, 0, 0, 0.0);

}


